Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Interface SaxonLocator

All Superinterfaces:
  LocationProvider, Locator, SourceLocator

All Known Subinterfaces:
  InstructionInfo

All Known Implementing Classes:
  AbsentExtensionElement, DocumentSender, DOMSender, ExpressionLocation, ExtensionInstruction, IdentityTransformerHandler, InstructionDetails, LiteralResultElement, ReceivingContentHandler, SaxonAssign, SaxonCallTemplate, SaxonCollation, SaxonDoctype, SaxonEntityRef, SaxonImportQuery, SaxonScript, SaxonWhile, SQLClose, SQLColumn, SQLConnect, SQLDelete, SQLInsert, SQLQuery, SQLUpdate, StaxBridge, StyleElement, TemplatesHandlerImpl, TraceExpression, TransformerHandlerImpl, XQueryFunction, XSLAnalyzeString, XSLApplyImports, XSLApplyTemplates, XSLAttribute, XSLAttributeSet, XSLCallTemplate, XSLCharacterMap, XSLChoose, XSLComment, XSLCopy, XSLCopyOf, XSLDecimalFormat, XSLDocument, XSLElement, XSLFallback, XSLForEach, XSLForEachGroup, XSLFunction, XSLGeneralIncorporate, XSLGeneralVariable, XSLIf, XSLImport, XSLImportSchema, XSLInclude, XSLKey, XSLMatchingSubstring, XSLMessage, XSLNamespace, XSLNamespaceAlias, XSLNextMatch, XSLNumber, XSLOtherwise, XSLOutput, XSLOutputCharacter, XSLParam, XSLPerformSort, XSLPreserveSpace, XSLProcessingInstruction, XSLResultDocument, XSLSequence, XSLSort, XSLStringConstructor, XSLStylesheet, XSLTemplate, XSLText, XSLValueOf, XSLVariable, XSLVariableDeclaration, XSLWhen, XSLWithParam

    public interface SaxonLocator

extends Locator, SourceLocator, LocationProvider

SaxonLocator: this interface exists to unify the SAX Locator and JAXP SourceLocator interfaces, which are identical. It extends both interfaces. Therefore, anything that implements SaxonLocator can be used both in SAX and in JAXP interfaces.

Method Summary

Methods inherited from interface org.xml.sax.Locator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from interface net.sf.saxon.event.LocationProvider
`getLineNumber, getSystemId`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.